file.path {base} | R Documentation

## Construct Path to File

### Description

Construct the path to a file from components in a platform-independent way.

### Usage

    file.path(..., fsep = .Platform$file.sep)

### Arguments

`...` | character vectors.
`fsep` | the path separator to use.

### Details

The implementation is designed to be fast (faster than `paste`) as this function is used extensively in R itself.

It can also be used for environment paths such as PATH and R_LIBS with `fsep = .Platform$path.sep`.

### Value

A character vector of the arguments concatenated term-by-term and separated by `fsep` if all arguments have positive length; otherwise, an empty character vector (unlike `paste`).

### Note

The components are separated by `/` (not `\`) on Windows.

[Package base version 2.15.1 Index]